GDB (xrefs)

Functions
arm-linux.c File Reference
`#include "common-defs.h"`
`#include "common-regcache.h"`
`#include "arch/arm.h"`
`#include "arm-linux.h"`
`#include "arch/arm-get-next-pcs.h"`

Go to the source code of this file.

## Functions
int | arm_linux_sigreturn_next_pc_offset (unsigned long sp, unsigned long sp_data, unsigned long svc_number, int is_sigreturn)
CORE_ADDR | arm_linux_get_next_pcs_fixup (struct arm_get_next_pcs *self, CORE_ADDR nextpc)

## Function Documentation

## ◆ arm_linux_get_next_pcs_fixup()

CORE_ADDR arm_linux_get_next_pcs_fixup | ( | struct arm_get_next_pcs * | self,
|  | CORE_ADDR | nextpc
| ) |  |

Definition at line 65 of file arm-linux.c.

References ARM_LR_REGNUM, bit, bits, INST_NV, MAKE_THUMB_ADDR, regcache_raw_get_unsigned(), regcache_read_pc(), and thumb_insn_size().

## ◆ arm_linux_sigreturn_next_pc_offset()

int arm_linux_sigreturn_next_pc_offset | ( | unsigned long | sp,
|  | unsigned long | sp_data,
|  | unsigned long | svc_number,
|  | int | is_sigreturn
| ) |  |

Definition at line 29 of file arm-linux.c.

References ARM_NEW_RT_SIGFRAME_UCONTEXT, ARM_NEW_SIGFRAME_MAGIC, ARM_OLD_RT_SIGFRAME_SIGINFO, ARM_OLD_RT_SIGFRAME_UCONTEXT, ARM_PC_REGNUM, ARM_SIGCONTEXT_R0, ARM_UCONTEXT_SIGCONTEXT, and INT_REGISTER_SIZE.

Referenced by arm_linux_sigreturn_next_pc().